LMDE new install issue *Solved*

Questions about Grub, the liveCD and the installer
Forum rules
Before you post please read this

LMDE new install issue *Solved*

Postby willie42 on Fri Apr 22, 2011 7:43 pm

Today I decided to install LMDE 32 bit . I made a discovery. I went to install my updates and it told me to fix broken packages from the get go. I then tried a
Code: Select all
sudo apt-get install -f

Problem still persisted
I seen a post from Richie that
Code: Select all
sudo apt-get install mintupdate


was a possible fix. No luck there either

I ended up by doing a
Code: Select all
sudo apt-get update
sudo apt-get upgrade


this might save someone some time and help newbies to get off to a good start if they are venturing into LMDE :D

Edit: At the end of the updates I got to this and it will go no further

Code: Select all
pam (1.1.2-1) unstable; urgency=low



  * Name of option for minimum Unix password length has changed



    The Debian-specific 'min=n' option to pam_unix for specifying minimum

    lengths for new passwords has been replaced by a new upstream option

    called 'minlen=n'.  If you are using 'min=n' in

    /etc/pam.d/common-password, this will be migrated to the new option name

    for you on upgrade.  If you have configured pam_unix password changing

    elsewhere on your system, such as in a PAM profile under

    /usr/share/pam-configs or in other files in /etc/pam.d, you will need to

    update them by hand for this change.



 -- Steve Langasek <vorlon@debian.org>  Tue, 31 Aug 2010 23:09:30 -0700



patch (2.6.1-1) unstable; urgency=low



  The options -U --unified-reject-files and --global-reject-file have now been

  removed.



 -- Christoph Berg <myon@debian.org>  Sun, 06 Feb 2011 20:17:11 +0100



usb-modeswitch-data (20110227-1) unstable; urgency=low

/tmp/tmpwWl31k


usb-modeswitch-data (20110227-1) unstable; urgency=low



  usb-modeswitch from its 1.1.7 version searches for its hardware switching

  database in a tarball (/usr/share/usb_modeswitch/configPack.tar.gz) first.

  Hence usb-modeswitch-data now only ships this tarball instead of the raw

  database files under /etc/usb_modeswitch.d .



  If you had modified some of these database files, they have been kept in

  place and will override the entries from the tarball, see the README.Debian.



 -- Didier Raboud <odyx@debian.org>  Wed, 16 Mar 2011 14:09:43 +0100



vim (2:7.3.154+hg~74503f6ee649-1) unstable; urgency=low



  The vim-lesstif package has been removed in favor of the new vim-athena

  package.  The intent behind both packages is to provide a lighter-weight GUI

  package as well as one that allows using XFLD fonts.  The Athena toolkit,

  however,  has broader usage and reduces divergences with downstream

  distributions.



 -- James Vega <jamessan@debian.org>  Sun, 27 Feb 2011 12:45:40 -0500



So if some has any ideas let me know
Last edited by willie42 on Fri Apr 22, 2011 8:57 pm, edited 1 time in total.
Comptia A+ Certified Technician
Comptia Network + Certified Technician
You can not have Success without Failures.
User avatar
willie42
Level 7
Level 7
 
Posts: 1977
Joined: Tue Jun 22, 2010 7:52 pm
Location: Oak Ridge, TN USA

Linux Mint is funded by ads and donations.
 

Re: LMDE new install issue

Postby JohanSJA on Fri Apr 22, 2011 8:03 pm

I had the similar problem a few days ago when I am installing LMDE in this PC. I tried to do this and it seems to fix the 'fix package' problem. Install the update by level, Level 1 then Level 2 then Level 3. However, half way through Level 3, the update will stuck and won't continue. So I quit it forcefully and want to try again. But this time the mintUpdate prompted to fix something inside Terminal. I followed it and my system was updated.
JohanSJA
Level 1
Level 1
 
Posts: 12
Joined: Mon Jun 07, 2010 11:03 pm

Re: LMDE new install issue

Postby zerozero on Fri Apr 22, 2011 8:09 pm

willie42, hit q to skip the changelog and the updates will proceed
zerozero
Level 16
Level 16
 
Posts: 6467
Joined: Tue Jul 07, 2009 2:29 pm

Re: LMDE new install issue

Postby willie42 on Fri Apr 22, 2011 8:36 pm

I believe I found my issue. Thanks zerozero for pointing me to the issue

Code: Select all
Err Changelog of libhttp-message-perl
E: You must put some 'source' URIs in your sources.list
E: Changelog download failed: Download queue destroyed.
E: Couldn't find a changelog for libhttp-message-perl



this is what was under my channel logs so next i will go look at my sources.

When I tried to refresh it gave me this

Code: Select all
UPDATE###xserver-xorg###1:7.6+6###1:7.5+8###99596###xorg###This package depends on the full suite of the server and drivers for the X.Org X server.  It does not provide the actual server itself.
UPDATE###x11-apps###7.6+4###7.5+5###656766###x11-apps###This package provides a miscellaneous assortment of X applications that ship with the X Window System, including:
- atobm, bitmap, and bmtoa, tools for manipulating bitmap images;
- ico, a demo program animating polyhedrons;
Comptia A+ Certified Technician
Comptia Network + Certified Technician
You can not have Success without Failures.
User avatar
willie42
Level 7
Level 7
 
Posts: 1977
Joined: Tue Jun 22, 2010 7:52 pm
Location: Oak Ridge, TN USA

Re: LMDE new install issue

Postby willie42 on Fri Apr 22, 2011 8:56 pm

all is ago updates are back on again. thanks for you help. I think a re-spin would be in order. :D
Comptia A+ Certified Technician
Comptia Network + Certified Technician
You can not have Success without Failures.
User avatar
willie42
Level 7
Level 7
 
Posts: 1977
Joined: Tue Jun 22, 2010 7:52 pm
Location: Oak Ridge, TN USA


Return to Installation & Boot

Who is online

Users browsing this forum: No registered users and 4 guests